Name: cgilib
Version: 0.7
Release: 1%{?dist}
Summary: Simple and lightweight interface to CGI for C and C++

Group:	System Environment/Libraries
License: GPLv2+
URL: http://www.infodrom.org/projects/cgilib/
Source0: http://www.infodrom.org/projects/cgilib/download/%{name}-%{version}.tar.gz
Source1: cgilib.ld

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: libtool

%description
This library provides a simple and lightweight interface to the Common Gateway 
Interface (CGI) for C and C++ programs. Its purpose is to provide an easy to 
use interface to CGI for fast CGI programs written in the C or C++ programming 
language.

The library consists of a comprehensive interface to CGI without overhead for 
HTML production. Data read from CGI is copied into internal data structures 
that are easily accessible.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup0 -q

# convert README to UTF-8
iconv -f ISO-8859-1 -t UTF-8 README > README.utf8 && \
touch -r README README.utf8 && \
mv -f README{.utf8,}

# Create NEWS file so automake doesn't complain when we autoreconf
touch NEWS

%build
autoreconf --force --install
%configure --disable-static --enable-shared

make %{?_smp_mflags}

%install
rm -rf %{buildroot}

# Install in /cgilib since files conflict with package 'libcgi'
install -d -m 0755 %{buildroot}%{_includedir}/cgilib
install -d -m 0755 %{buildroot}%{_libdir}/cgilib

make DESTDIR=%{buildroot} INSTALL="install -p" install
%{__mv} %{buildroot}%{_includedir}/aux.h %{buildroot}%{_includedir}/cgilib/aux.h
%{__mv} %{buildroot}%{_includedir}/cgi.h %{buildroot}%{_includedir}/cgilib/cgi.h
%{__mv} %{buildroot}%{_libdir}/libcgi.so %{buildroot}%{_libdir}/cgilib/libcgi.so
%{__mv} %{buildroot}%{_libdir}/libcgi.so.1 %{buildroot}%{_libdir}/cgilib/libcgi.so.1
%{__mv} %{buildroot}%{_libdir}/libcgi.so.1.0.0 %{buildroot}%{_libdir}/cgilib/libcgi.so.1.0.0

# Remove libtool archives
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

# Install entry with updated path for ld
install -D -p -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/ld.so.conf.d/cgilib.conf

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%config(noreplace) %{_sysconfdir}/ld.so.conf.d/cgilib.conf
%{_bindir}/cgitest
%{_bindir}/jumpto
%{_libdir}/cgilib/libcgi.so.1
%{_libdir}/cgilib/libcgi.so.1.0.0
%{_mandir}/man3/*.3*
%{_mandir}/man5/*.5*

%files devel
%defattr(-,root,root,-)
%{_includedir}/cgilib/aux.h
%{_includedir}/cgilib/cgi.h
%{_libdir}/cgilib/libcgi.so

%changelog
* Tue Jul 14 2009 Gary T. Giesen <giesen@snickers.org> 0.7-1
- Initial spec file creation
